Bug 226736 - [Modern Media Controls] upstream new features
Summary: [Modern Media Controls] upstream new features
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-07 12:22 PDT by Devin Rousso
Modified: 2021-06-09 10:24 PDT (History)
25 users (show)

See Also:


Attachments
Patch (36.22 KB, patch)
2021-06-07 14:09 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (36.24 KB, patch)
2021-06-07 23:50 PDT, Devin Rousso
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2021-06-07 12:22:26 PDT
.
Comment 1 Radar WebKit Bug Importer 2021-06-07 12:22:42 PDT
<rdar://problem/78957464>
Comment 2 Devin Rousso 2021-06-07 14:09:37 PDT
Created attachment 430777 [details]
Patch
Comment 3 Peng Liu 2021-06-07 15:59:35 PDT
Comment on attachment 430777 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=430777&action=review

> LayoutTests/platform/mac-wk2/TestExpectations:22
> +media/modern-media-controls/overflow-support [ Pass ]

Can we enable the test for iOS as well?
Comment 4 Devin Rousso 2021-06-07 16:02:19 PDT
Comment on attachment 430777 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=430777&action=review

>> LayoutTests/platform/mac-wk2/TestExpectations:22
>> +media/modern-media-controls/overflow-support [ Pass ]
> 
> Can we enable the test for iOS as well?

iOS requires some new functionality that's not yet in EWS bots (see `#define ENABLE_MEDIA_CONTROLS_CONTEXT_MENUS`).  These tests are enabled on the internal bots in the meantime.
Comment 5 Eric Carlson 2021-06-07 16:05:26 PDT
Comment on attachment 430777 [details]
Patch

r=me once the bots agree
Comment 6 Devin Rousso 2021-06-07 23:50:12 PDT
Created attachment 430814 [details]
Patch

just tried building with the latest public SDK in an effort to match the bots and the test passed just fine :/
Comment 7 EWS 2021-06-08 10:27:40 PDT
Committed r278618 (238603@main): <https://commits.webkit.org/238603@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 430814 [details].
Comment 8 Truitt Savell 2021-06-09 10:24:49 PDT
the new test media/modern-media-controls/overflow-support/chapters.html

added in https://trac.webkit.org/changeset/278618/webkit

is a constant timeout: https://results.webkit.org/?suite=layout-tests&test=media%2Fmodern-media-controls%2Foverflow-support%2Fchapters.html

This is impeding ews, can this be fixed quickly or can we revert this change until it is fixed? 

Tracking bug: https://bugs.webkit.org/show_bug.cgi?id=226828